Subject: Re: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Jason Rumney <[email-masked]>
Date: Sat, 07 Jul 2012 17:09:30 +0800

Juanma Barranquero <[email-masked]> writes:

> Assuming that you mean 108908, I think the problem (which I also saw)
> is cured by 108911.
>
> Still, something weird is happening, because I've seen several Emacs
> crashes while byte-compiling lisp/language/japanese.el, but only
> during bootstrap.

There used to be problems with line-ends when processing some of the
.tit files (this doesn't really explain japanese.el though). But I
thought Handa-san had installed a fix for this long ago.  One thing to
look at might be if the files on disk have strange line ends (in the
case of the tit files, they were saved in the repository with DOS line
ends, because their original source has DOS line ends, and CVS on
Windows used to add an extra ^M to each line. But bzr shouldn't suffer
this problem AFAIK.